apiVersion: litmuchaos.io/v1alpha1
kind: ChartServiceVersion
metadata:
  name: kubernetes-state 
  annotations:
    categories: "Kubernetes"
    vendor: "CNCF"
    createdAt: 2019-08-12T10:28:08Z
    repository: https://github.com/litmuschaos/community-charts
    support: https://slack.kubernetes.io/
spec:
  displayName: state 
  description: >
    Kubernetes subchart stateChaos which contains chaos to disrupt state of kubernetes resources. Experiments can inject random pod-level and container level-failures against specified app replicas. Install will add the following experiments
    <br> - Container kill (container-kill-exp.yaml)
    <br> - Pod delete (pod-delete-exp.yaml)
  keywords:
    - Kubernetes
    - State 
  version: {{ VERSION }}
  maturity: alpha
  maintainers:
    - name: ksatchit
      email: karthik.s@mayadata.io
  minKubeVersion: 1.12.0
  provider:
    name: Mayadata
  links:
    - name: Kubernetes Website
      url: https://kubernetes.io
    - name: Source Code
      url: https://github.com/kubernetes/kubernetes
  icon:
    - url: 
      mediatype: ""
  experiments:
    - container-kill-exp.yaml
    - pod-delete-exp.yaml
  chaosexpcrdlink: https://raw.githubusercontent.com/litmuschaos/community-charts/master/charts/kubernetes/state/experiments/k8s_state_all_exp_crd.yaml
